/********
*
*          Header
*
*       File Name: EVENT.CH
*          Author: Ashin S.Wimalajeewa   CompuServe : 100351,650
*
*    Date created: 12-08-94              Date updated: 12-08-94
*       Copyright: (c) 1994 by Virtual/Ash-Tec Development
*     Acknowledge: Transit Computer System Pty Ltd. (Australia)
*
*     Description: Basic Event Messaging System
*
*
**/


#ifndef _EVENT_CH
  #define _EVENT_CH


#ifndef _CLASSY2_CH
  #include "Class(y).ch"
  #define _CLASSY2_CH
#endif



/****
*
*           Class
*
*            Name: TEvent
*          Author: Ashin S.Wimalajeewa   CompuServe : 100351,650
*
*    Parent class: None
*        See Also:
*
*     Description: This class is a child of the event manager who polls
*                  the event class to get an event.
**/

create class TEvent
  hidden    :
    var     ClickWait             type integer   // Numeric
    var     DblWait               type integer   // Numeric
  protected :
    var     Clicks                type integer   // Numeric
    method  BtnRelease                           // NIL
  export    :

    method  Init                                 // self

    var     Button                type integer   // Numeric
    var     Col         readonly  type integer   // Numeric
    var     Key                   type integer   // Numeric
    var     mCol        readonly  type integer   // Numeric
    var     mRow        readonly  type integer   // Numeric
    var     PutKey                type integer   // Numeric
    var     oMD                                  // TMouse Object
    var     Row         readonly  type integer   // Numeric

    var     Tag                                  // User Defined

    method  Click                                // Logical
    method  DblClick                             // Logical
    method  DragDown                             // Logical
    method  KeyPress                             // Logical

    method  Char                                 // Character
    method  Exec                                 // Self
end class


#define nDEFAULT_WAIT_    10                     // Hundredths of a Second

#define nINCRMENT_DELAY_   1                     // Incrmental Delay
#define nDBLCLICK_DELAY_  10                     // Double Click Delay

#endif
