/********
*
*          Header
*
*       File Name: FORM.CH
*          Author: Ashin S.Wimalajeewa   CompuServe : 100351,650
*
*    Date created: 08-11-94              Date updated: 08-11-94
*       Copyright: (c) 1994 by Virtual/Ash-Tec Development
*     Acknowledge: Transit Computer System Pty Ltd. (Australia)
*
*     Description: Represents the Properties, Events and Methods inherent
*                  in a MS-Visual Basic Form.
**/

#ifndef _FORM_CH
  #define _FORM_CH


#ifndef _CLASSY2_CH
  #include "Class(y).ch"
  #define _CLASSY2_CH
#endif


/****
*
*           Class
*
*            Name: TForm
*          Author: Ashin S.Wimalajeewa
*
*    Parent class: TCtrlObj
*        See Also: TCtrlObj & TObject
*
*     Description: This Class establishes the fundamental properties, events
*                  and methods that are inherent within and VB control.
*
**/

create class TForm from TCtrlObj
  hidden    :
  protected :
    var     CtrlCount             type integer   // Integer
    var     CtrlList              type array     // Array

    method  DispCtrls                            // NIL
    method  DispForm                             // NIL
    method  MouseMove                            // NIL
    method  KeyBrdMove                           // NIL
  export    :

    method  Init                                 // Self

         // INTERNAL ( Needs to be exported but it won't be documented )
    method  fShow                                // Self

    var     ActiveControl         type integer   // Integer
    var     BorderStyle                          // Int|Char
    var     ControlBox            type logical   // Logical
    var     Modal                 type logical   // Logical
    var     SetCancel             type integer   // Integer
    var     SetDefault            type integer   // Integer

    var     bLoad                 type block     // Block
    var     bUnLoad               type block     // Block

    method  Click                                // Self
    method  DblClick                             // Self
    method  DragDown                             // Self
    method  GotFocus                             // Self
    method  KeyPress                             // Self
    method  Load                                 // Self
    method  LostFocus                            // Self
    method  SetFocus                             // Self
    method  UnLoad                               // Self

    method  AddControl                           // Ctrl Object
    method  ChkHotKeys                           // Integer
    method  DelControl                           // Ctrl Object
    method  Enabled                              // Logical
    method  getControl                           // Ctrl Object
    method  Hide                                 // Self
    method  InsControl                           // Ctrl Object
    method  Kill                                 // Self
    method  Move                                 // Self
    method  PrintForm                            // Self
    method  Show                                 // Self
    method  SrchControl                          // Integer
    method  Visible                              // Logical
end class

#endif
